Package be.vlaanderen.mercurius.mohm.common.v7

# Class DecisionApplicationCUType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.DecisionApplicationType
be.vlaanderen.mercurius.mohm.common.v7.DecisionApplicationCUType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DecisionApplicationCUType extends DecisionApplicationType implements Serializable

Java class for DecisionApplicationCUType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionApplicationCUType">
       <complexContent>
         <extension base="{http://www.mercurius.vlaanderen.be/mohm/common/v7}DecisionApplicationType">
           <sequence>
             <element name="User" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="RATApprovalNumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ApprovalNumberType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionApplicationCUType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRATApprovalNumber()`
  Erkenningsnummer van het Rolstoel Adviesteam.
  `String`
  `getUser()`
  Id van de gebruiker die de beslissing heeft genomen in de applicatie.
  `void`
  `setRATApprovalNumber(String value)`
  Sets the value of the ratApprovalNumber property.
  `void`
  `setUser(String value)`
  Sets the value of the user property.

  ### Methods inherited from class be.vlaanderen.mercurius.mohm.common.v7.DecisionApplicationType

  `getBTC, getDecisionDate, getMaxDeliveryDate, getMinDeliveryDate, getMobilityTool, getProcedure, getStatus, getStatusDate, getSupportAndRepair, isIsAccident, setBTC, setDecisionDate, setIsAccident, setMaxDeliveryDate, setMinDeliveryDate, setMobilityTool, setProcedure, setStatus, setStatusDate, setSupportAndRepair`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionApplicationCUType

    public DecisionApplicationCUType()

- ## Method Details

  - ### getUser

    public String getUser()
    Id van de gebruiker die de beslissing heeft genomen in de applicatie.
    Returns:
      possible object is `String`

  - ### setUser

    public void setUser(String value)
    Sets the value of the user property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getUser()`

  - ### getRATApprovalNumber

    public String getRATApprovalNumber()
    Erkenningsnummer van het Rolstoel Adviesteam. Dit nummer bestaat uit 8 cijfers aangevuld met 000.
    Returns:
      possible object is `String`

  - ### setRATApprovalNumber

    public void setRATApprovalNumber(String value)
    Sets the value of the ratApprovalNumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRATApprovalNumber()`